using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace SlidingPanels
{
    public partial class Form1 : Form
    {
        Timer timer;
        int initialLocation = 0;
        int padding = 12;

        public Form1()
        {
            InitializeComponent();

            timer = new Timer();
            timer.Interval = 10;
            timer.Tick += new EventHandler(timer_Tick);

            initialLocation = this.radPanel1.Location.X;
        }

        void timer_Tick(object sender, EventArgs e)
        {
            if (initialLocation - this.radPanel1.Location.X < this.radPanel1.Size.Width + padding)
            {
                this.radPanel1.Location = new Point(this.radPanel1.Location.X - padding, this.radPanel1.Location.Y);
                this.radPanel2.Location = new Point(this.radPanel2.Location.X - padding, this.radPanel2.Location.Y);
            }
        }

        private void radButton1_Click(object sender, EventArgs e)
        {
            timer.Start();
        }
    }
}